#
# spec file for package psi (Version 0.10)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cups-devel cups-libs cvs desktop-translations diffutils file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libdrm libexpat-devel libexpat1 libgcc42 libgomp42 libjpeg libjpeg-devel liblcms liblcms-devel libltdl-3 libmng libmng-devel libmudflap42 libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 libstdc++42 libstdc++42-devel libtiff3 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs pam pam-modules patch perl perl-base permissions pkg-config popt post-build-checks qca qca-devel qt3 qt3-devel rpm sed sysvinit tar texinfo timezone update-desktop-files util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           psi
Url:            http://psi-im.org/
License:        GPL v2 or later
Group:          Productivity/Networking/Talk/Clients
Version:        0.10
Release:        26.2
Summary:        PSI Jabber client using Qt
AutoReqProv:    on
Source:         %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-desktopfile.patch
Patch1:         %{name}-%{version}-remote-overflow.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       qt3 qca >= 1
BuildRequires:  gcc-c++ qca-devel >= 1 qt3-devel
BuildRequires:  update-desktop-files

%description
Psi is the premiere Instant Messaging application designed for
GNU/Linux, Microsoft Windows, Apple Mac OS X. Built upon an open
protocol named Jabber, Psi is a fast and lightweight messaging client
that utilises the best in open source technologies. Psi contains all
the features necessary to chat, with no bloated extras that slow your
computer down.



Authors:
--------
    Justin Karneges <infiniti@affinix.com>
    Kevin Smith <psi-changelog@kismith.co.uk>
    Michail Pishchagin <mblsha@users.sourceforge.net>
    Remko Troncon <remko@psi-im.org>
    Maciej Niedzielski 

%debug_package
%prep
%setup -q
%patch0
%patch1

%build
# qmake bug workaround
echo "QMAKE_PROJECT_DEPTH = 1" >> src/src.pro
CFLAGS="$RPM_OPT_FLAGS"
CXXFLAGS="$RPM_OPT_FLAGS"
LDFLAGS="$RPM_OPT_FLAGS"
./configure \
    --with-qca-inc=/usr/lib/qt3/include \
    --with-qca-lib=/usr/lib/qt3/%{_lib} \
    --prefix=%{_prefix} \
    --bindir=%{_bindir} \
    --datadir=%{_datadir}
make

%install
make INSTALL_ROOT=%{buildroot} install
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp iconsets/system/default/icon_mac.png %{buildroot}%{_datadir}/pixmaps/psi.png
%suse_update_desktop_file psi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/psi
%{_datadir}/applications/psi.desktop
%{_datadir}/icons/hicolor
%{_datadir}/icons/hicolor/*
%{_datadir}/icons/hicolor/*/apps
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/pixmaps/psi.png
%{_datadir}/psi
%doc ChangeLog COPYING README TODO

%changelog
* Fri Feb 27 2009 - prusnak@suse.cz
- fix remote integer overflow (remote-overflow.patch) [bnc#479815]
* Thu Jul 19 2007 - pcerny@suse.cz
- initial package version 0.10
